Page MenuHomePhabricator

Support downloading a compressed working copy (tar/zip) of a repository at a specific commit or tag
Closed, WontfixPublic

Description

I think it's useful to download the tarball from tag source

Event Timeline

hfcorriez added a subscriber: hfcorriez.

You mean you want a way to download an entire Git/SVN/Hg repository as a .tgz?

Yes, I hope Diffusion has much more features like github.

btrahan triaged this task as Wishlist priority.Sep 24 2012, 5:29 PM
btrahan edited projects, added Repositories; removed Phabricator.

This feels like something more for Phacility -- see T1315 -- which will involve managing source repositories alongside the Phabricator application as part of the hosting solution. It's kind of strange feature unless its offered from a hosting solution because right now all Phabricator users are administrators of the repository directly.

Anyhoo, seems like a reasonable wishlist request.

Yes, I think it's a useful feature.

Thx

epriestley edited this Maniphest Task.Nov 28 2012, 2:07 PM
chad edited projects, added Diffusion; removed Repositories.Jan 16 2015, 4:31 PM
hyOzd added a subscriber: hyOzd.Aug 25 2015, 7:31 AM
epriestley changed the visibility from "All Users" to "Public (No Login Required)".

This is now meaningfully achievable through Drydock as a repository operation, but we've seen very little interest in it.

epriestley moved this task from Backlog to Future on the Drydock board.Nov 30 2015, 4:40 PM
epriestley renamed this task from Support download tag archive file to Support downloading a compressed working copy (tar/zip) of a repository at a specific commit or tag.Dec 8 2015, 5:24 PM
isfs added a subscriber: isfs.Jan 13 2016, 1:41 AM
benjumanji added a subscriber: benjumanji.
pasik added a subscriber: pasik.Oct 16 2017, 7:20 PM
epriestley closed this task as Wontfix.Feb 12 2018, 10:56 PM
epriestley claimed this task.

This is something we could reasonably build now, but I think we're unlikely to build it without a customer request and an actual use case. Closing until those materialize.